.modal {
    background-color: #fff;
    width: 500px;
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 1000;
    transform: translate(-50%, -50%);
    border-radius: 5px;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.2);
    padding: 20px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding: 3rem 5rem;

    &.large{
        width: 800px;
    }

    &:not(.open) {
        display: none;
    }
    &.open {
        display: flex;
    }

    &--footer {
        width: 100%;
    }

    .modal__title {
        font-size: 20px;
        font-weight: 600;
        margin-bottom: 10px;
    }
}